View Issue Details

IDProjectCategoryView StatusLast Update
0001363SymmetricDSBugpublic2014-02-02 20:53
ReporterabrougherAssigned Toabrougher 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.1 
Target Version3.5.2Fixed in Version3.5.2 
Summary0001363: SQL Server DateTime2 type does not work with conflict resolution.
DescriptionDateTime2 types are reported by the jdbc driver as a string and are not parsed into a date objects that can be compared to the existing databases date objects.

A parse exception is thrown in DefaltDatabaseWriterConflictResolver.isTimestampNewer().
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 3212c71d

2013-07-31 17:04:48

abrougher

Details Diff
0001363: SQL Server DateTime2 type does not work with conflict resolution.
0001363
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/IDatabasePlatform.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriterConflictResolver.java Diff File

SymmetricDS: master 3369415e

2013-07-31 20:35:09

abrougher

Details Diff
0001363: SQL Server DateTime2 type does not work with conflict resolution.
0001363
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriterConflictResolver.java Diff File

SymmetricDS: master 6767aa69

2013-08-01 08:10:39

abrougher

Details Diff
0001363: SQL Server DateTime2 type does not work with conflict resolution.
0001363
mod - symmetric-db/src/main/java/org/jumpmind/db/model/TypeMap.java Diff File

Issue History

Date Modified Username Field Change
2013-07-31 16:52 abrougher New Issue
2013-07-31 16:52 abrougher Status new => assigned
2013-07-31 16:52 abrougher Assigned To => abrougher
2013-08-04 19:25 chenson Status assigned => closed
2013-08-04 19:25 chenson Resolution open => fixed
2013-08-04 19:25 chenson Fixed in Version => 3.5.2
2014-02-02 20:53 abrougher Changeset attached => SymmetricDS trunk r7588
2014-02-02 20:53 abrougher Changeset attached => SymmetricDS trunk r7589
2014-02-02 20:53 abrougher Changeset attached => SymmetricDS trunk r7590
2015-07-30 21:49 abrougher Changeset attached => SymmetricDS master 6767aa69
2015-07-30 21:49 abrougher Changeset attached => SymmetricDS master 3369415e
2015-07-30 21:49 abrougher Changeset attached => SymmetricDS master 3212c71d